﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="FileBug.aspx.cs" Inherits="TFSBugTracking.Web._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <p>
        <asp:Label ID="Label1" runat="server" Text="Software Product:"></asp:Label>
    </p>
    <p>
        <asp:DropDownList ID="_Products" runat="server">
        </asp:DropDownList>
    </p>
    <p>
        <asp:Label ID="Label2" runat="server" Text="Bug Title:"></asp:Label>
    </p>
    <p>
        <asp:TextBox ID="_bugTitle" runat="server" Width="100%"></asp:TextBox>
        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
            ControlToValidate="_bugTitle" Display="Dynamic" 
            ErrorMessage="A Title is required to file a bug">*</asp:RequiredFieldValidator>
    </p>
    <p>
        <asp:Label ID="Label3" runat="server" Text="Bug Description:"></asp:Label>
    </p>
    <p>
        <asp:TextBox ID="_bugDescription" runat="server" Height="77px" Width="100%"
            MaxLength="50000" TextMode="MultiLine"></asp:TextBox>
        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
            ControlToValidate="_bugDescription" Display="Dynamic" 
            ErrorMessage="A description text is required to file a bug" 
            ToolTip="A description text is required to file a bug">*</asp:RequiredFieldValidator>
    </p>
    <p>
        <asp:Label ID="Label4" runat="server" Text="Workaround:"></asp:Label>
    </p>
    <p>
        <asp:TextBox ID="_workaround" runat="server" Width="100%" Height="75px" 
            TextMode="MultiLine"></asp:TextBox>
    </p>
    <p>
        <asp:RadioButtonList ID="_priorityRadioButtons" runat="server" 
            RepeatDirection="Horizontal">
            <asp:ListItem Value="1" Selected="True">System not operable</asp:ListItem>
            <asp:ListItem Value="2">System functionality limited</asp:ListItem>
            <asp:ListItem Value="System fully functional - cosmetic issue"></asp:ListItem>
        </asp:RadioButtonList>
    </p>
    <p>
        <asp:Button ID="_submitButton" runat="server" onclick="_submitButton_Click" 
            Text="Submit Bug" />
    </p>
    <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
        ForeColor="#990000" />
    <p>
        <asp:Label ID="_tfsValidationError" runat="server" ForeColor="#990000"></asp:Label>
    </p>
</asp:Content>
